<%@ Page Language="C#" AutoEventWireup="true" debug="true" Inherits="WinLibClass.Form.UserInfo.UserInfo_InviteMail.UI_List" CodePage="65001" GameType="1" PageFileFlag="UserInvite" PageFileTitle="邀请好友-会员中心" DataBindingType="1" PageFlagId="1"  %>

<%@ Register TagPrefix="Site" TagName="Menu" Src="~/WUC/Common/Site_Menu.ascx" %>
<%@ Register TagPrefix="Site" TagName="UserPicNote" Src="~/WUC/Common/Site_UserPicNote.ascx" %>
<%@ Register TagPrefix="Site" TagName="Game1" Src="~/WUC/Common/Site_Game1.ascx" %>

<%@ Register TagPrefix="Site" TagName="Side_UserPicNote" Src="~/WUC/Common/Site_Side_UserPicNote.ascx" %>
<%@ Register TagPrefix="Site" TagName="Side_Future" Src="~/WUC/Common/Site_Side_Future.ascx" %>
<%@ Register TagPrefix="Site" TagName="Side_Main" Src="~/WUC/Common/Site_Side_Menu.ascx" %>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<Site:Menu id="menu_headtitle" runat="server" Flag="HeadTitle" CurrentPageTitle = "会员中心 - 邀请好友" />
<Site:Menu id="menu_headjs" runat="server" Flag="HeadJs"  />
<link href="/css/common.css" type="text/css" rel="stylesheet" />
<link href="/css/common_3.css" type="text/css" rel="stylesheet" />
<link href="/css/article.css" type="text/css" rel="stylesheet" />

</head>
<script>
<!--
/*第一种形式 第二种形式 更换显示样式*/
function setTab(name,cursel,n){
    for(i=1;i<=n;i++){
    var menu=document.getElementById(name+i);
    //var con=document.getElementById("con_"+name+"_"+i);
    menu.className=i==cursel?"hover":"";
    con.style.display=i==cursel?"block":"none";
    }
}
//-->
</script>
<body>

<Site:Menu id="menu_topmenu" runat="server" Flag="TopMenu"  CurrentPageFlag="User" />

<div class="clear"></div>
<!--start 内容-->
<div class="ArtContent PageWidth">
	<!-- 左侧菜单 -->

<Site:Side_Main id="Side_Main_art1" runat="server" PageFlagId="100"  CurrentPageFlag="User" DataBindingType="1" />
	
	<!-- 左侧菜单结束 -->
	<!-- 右侧正文或列表 -->
<!--start 主体内容-->
<script>


function SetTab(mids,focus,blur,cids,curid)
{
	var mid = jQuery(mids);
	var cid = jQuery(cids);
	var curObj = jQuery(curid);
	
	mid.removeClass(focus).addClass(blur);
	curObj.removeClass(blur).addClass(focus);
	cid.addClass("hide");
	jQuery(cids + '[flag="' + curObj.attr("id") + '"]' ).removeClass("hide");

}

</script>



<div class="Grid-Base PageWidth_Right2">

	<div class="help-box padding0 " >
 		<div class="tit2 H60 LH55">
				邀请好友
		</div>


	</div>

	<div class="help-box " style="border-bottom:0px;" >
		<div class="invite TextLeft" >
			邀请好友拿付费酷币 [<a id="medit" onclick='SetTab(null,null,null,".help-box .editexp","#medit");'>发出邀请</a> / <a id="mlist" onclick='SetTab(null,null,null,".help-box .editexp","#mlist");'>查看邀请</a>]
			
			
		</div>
		<div class="invitetext">
<%
__GetPsInfo(4);
%>     
 		
		
		想和好友一起分享竞拍的乐趣吗？想免费获得更多的酷币吗？还等什么呢，快去邀请您的好友加入9拍网吧,您的好友一旦注册激活，您将立刻得到[<%= __PsInfo.Point2+ __PsInfo.Point1 %>]个付费酷币的奖励。 

<%
__GetPsInfo(5);
%>           
		
		您的好友每次充值，您将获赠好友充值总额的[<%= __PsInfo.Point2 + __PsInfo.Point1 %>%]。邀请越多奖励越多！
		</div>
	

	
	
		<div class="editexp " id="div-Edit" flag="medit">

			<div class="invitebox center">
				<div class="logo-box"><img src="/images/logomsn.gif" /></div>
			
				<div class="conbox">
					<textarea class="textarea" id="inv_MSN" readonly><%=__InviteUrl%></textarea>
				</div>
				<div class="btnbox"> <img src="/images/arrarbg_001.gif" />&nbsp;
					<input type="image" src="/images/btncopy.gif"  onclick="copyToClipboard('inv_MSN');" /> &nbsp;</div>
				<div class="clear"></div>
			</div>
		
			<div class="invitebox center">
				<div class="logo-box"><img src="/images/logoww.gif" /></div>
			
				<div class="conbox"><textarea class="textarea" id="inv_TaoBao" readonly><%=__InviteUrl%></textarea></div>
				<div class="btnbox"> <img src="/images/arrarbg_001.gif" />&nbsp;
					<input type="image" src="/images/btncopy.gif"  onclick="copyToClipboard('inv_TaoBao');" /> &nbsp;</div>
				<div class="clear"></div>
			</div>

			<div class="invitebox center">
				<div class="logo-box"><img src="/images/logoQQ.gif" /></div>
			
				<div class="conbox"><textarea  class="textarea"  id="inv_QQ" readonly><%=__InviteUrl%></textarea></div>
				<div class="btnbox"> <img src="/images/arrarbg_001.gif" />&nbsp;
					<input type="image" src="/images/btncopy.gif"  onclick="copyToClipboard('inv_QQ');" /> &nbsp;</div>
				<div class="clear"></div>
			</div>			
		
		
			<div class="invitebox center">
				<div class="logo-box"><img src="/images/logoemail.gif" /></div>
			
				<div class="conbox">
					<textarea class="textarea"  id="UserEmails" name="UserEmails"  onfocus='checkSendEmialInput(this)' onblur='checkSendEmialInput(this)' onclick='jQuery(this).parent().find("span").hide()' ></textarea>
					<SPAN class="empty " onclick='jQuery(this).hide()'>请直接输入对方<a>Email</a><br />
					(填写多个<a>Email</a>时，请用逗号分隔)
					</SPAN>
				</div>
				<div class="btnbox"> <img src="/images/arrarbg_001.gif" />&nbsp;
					<input type="image" src="/images/btnsendemail.gif" onclick="InviteMyUser()" /> &nbsp;</div>
				<div class="clear"></div>
			</div>		
<script>

function checkSendEmialInput(t)
{
	var o ;
	if(typeof (t)=="textarea")o = jQuery(t);
	else o = jQuery(t).parent().find("textarea");	
	if(jQuery.trim(o.val()).length<1) o.parent().find("span").show();
	else o.parent().find("span").hide();
}
</script>		
		
		
		</div>
		
		<div class="editexp hide" id="div-List" flag="mlist">
			<table>
				<tr class="list-th">
					<th >会员编号</th>
					<th>昵称</th>
					<th>邮箱</th>
					<th >电话</th>
					<th>注册时间</th>

				</tr>
				
<asp:Repeater id="rpList" runat="server">
<ItemTemplate>	

				<tr class="list-td">
					<td><%#Eval("id")%></td>
					<td><%#Eval("UserNickName")%></td>
					<td><%#Eval("UserEmail")%></td>
					<td ><%#Eval("UserMobile")%></td>
					<td><%#Eval("FirstLoginTime","{0:d}")%></td>
				</tr>	

</ItemTemplate>		
</asp:Repeater>



				
				
			</table>
			<div class="Page Pnv">

<%=strPageInfo%>
			
			</div>
		</div>
		  <div class="clear"></div>
	</div>

</div>

<script>

function InviteMyUser()
{
		var pass= true;
		if(pass)
		{
			var queryString = {"UserEmails":jQuery("#UserEmails").val()};
			//$('#form_add').serialize();
			//alert(queryString);
			$.ajax({
				type: "POST",
				url: "/UserInfo/UserInfo_InviteMail.aspx?IsAdd=100",
				data:queryString,
				cache: false,
				success: function(msg){
			
						if(msg>0){ 
							Common.ShowTipSuccess(false,"您的邀请已成功发出.");
						}else{
							Common.ShowTipError(false, "邀请发送失败,可能的原因:\r\n1.邮箱无效;\r\n2.网站邮件发送配置有误,可与网站客户联系."+msg);
						}
				},
				error:function(msg)
				{
					Common.ShowTipError(false,"出错啦:" + msg.responseText);
				
				}
			});		
		}
		else
		{
			Common.ShowTipError(false,"出错啦:连接异常,操作失败");
		}
		return false;
}

     function copyToClipboard(id)
     {
     	var Result = jQuery("#"+id).val();
        Common.SetClipboard(Result)
        document.getElementById(id).select();
        window.alert('已复制成功！');

      
     }


jQuery(function(){



});








</script>


<!--end 主体内容结束-->
	<!-- 右侧正文或列表结束 -->

  <div class="clear"></div>

</div>
<!--end 内容-->
<div class=" clear"></div>


<Site:Menu id="menu_foothelper" runat="server" Flag="FootHelper"  />
<div class=" clear"></div>
<Site:Menu id="menu_links" runat="server" Flag="Links"  />
<div class=" clear"></div>
<Site:Menu id="menu_foot" runat="server" Flag="Foot"   />
</body>
</html>
